package com.lz.modules.sys.dao.app;
/**
 * <p>
 * 业绩记录表 服务类
 * </p>
 *
 * @author quyixiao
 * @since 2020-08-10
 */

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lz.modules.app.req.ResultRecordReq;
import com.lz.modules.sys.entity.app.ResultRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultRecordMapper extends BaseMapper<ResultRecord> {


    ResultRecord selectResultRecordById(@Param("id") Long id);


    Long insertResultRecord(ResultRecord resultRecord);


    int updateResultRecordById(ResultRecord resultRecord);


    int updateCoverResultRecordById(ResultRecord resultRecord);


    int deleteResultRecordById(@Param("id") Long id);


    List<ResultRecord> selectByCondition(@Param("page") IPage page, @Param("req") ResultRecordReq req);


    List<ResultRecord> selectByConditionTest(ResultRecordReq req);
}